/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t);var o=Object.getOwnPropertyDescriptor(s,t);o&&!("get"in o?!s.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return s[t]}}),Object.defineProperty(e,i,o)}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(s,e,t);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(o,n){function a(e){try{l(i.next(e))}catch(e){n(e)}}function r(e){try{l(i.throw(e))}catch(e){n(e)}}function l(e){var s;e.done?o(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(a,r)}l((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Download=void 0;const zowe=__importStar(require("@zowe/cli")),path_1=require("path"),util=__importStar(require("util")),ZosFilesUtils_1=require("../../utils/ZosFilesUtils"),List_1=require("../list/List"),GetContent_1=require("./GetContent"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),CoreUtils_1=require("../../utils/CoreUtils"),check_1=require("../check"),constants_1=require("../../constants");class Download{static dataSet(e,s,t,i={},o){var n;return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Download.dataSet called."),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const a=[];let r;yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V103);const l=yield this.getDsDestination(s,i,o);if(i.binary)this.log.info("Used binary transfer from CLI binary tag."),i.encoding=void 0;else{let e;i.encoding&&(e=i.encoding.toString());const n=yield check_1.CheckMappings.encodingPrecedence(null==t?void 0:t.encoding,e,s,o);n&&"binary"===n?(i.binary=!0,i.encoding=void 0):(i.encoding=n,i.binary=void 0)}try{return r=yield GetContent_1.GetContent.dataSet(e,s,i),this.writeToFile(l,r,i.binary),this.log.info(`Success Downloading data From ${s} To ${l}`),a.push({success:r.success,from:s,to:l,encoding:i.encoding,binary:i.binary}),{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.datasetDownloadedSuccessfully.message,l),apiResponse:{etag:null===(n=null==r?void 0:r.apiResponse)||void 0===n?void 0:n.etag,results:a}}}catch(e){if(e.toString().includes(constants_1.RseApiMessages.nonExistentMappingFile.message))throw e;this.log.error(`Failure Downloading data From ${s} To ${l}`),a.push({success:!1,from:s,to:l,error:e})}}))}static allMembers(e,s,t,i={},o){var n;return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Download.allMembers called."),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const a=[];yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V101);try{const r=yield List_1.List.allMembers(e,s,{volume:i.volume}),l=r.apiResponse.items;if(0===l.length)return{success:!1,commandResponse:"No members found!",apiResponse:r.apiResponse};const c=i.directory||ZosFilesUtils_1.ZosFilesUtils.getDirsFromDataSet(s);let p=0;for(const r of l){let u;null!=i.task&&(i.task.statusMessage=`Downloading ${r}`,i.task.percentComplete=Math.floor(zowe.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(p/l.length)),p++),u=i.extension?i.extension:yield check_1.CheckMappings.getDlExtensionFromMappings(`${s}(${r})`.toUpperCase(),o),u||(u=ZosFilesUtils_1.ZosFilesUtils.DEFAULT_FILE_EXTENSION);const d=yield this.dataSet(e,`${s}(${r})`,t,{encoding:i.encoding,volume:i.volume,binary:i.binary,file:c+zowe.imperative.IO.FILE_DELIM+r.toString().toLowerCase()+zowe.imperative.IO.normalizeExtension(u)},o);null===(n=d.apiResponse)||void 0===n||n.results.forEach((e=>{a.push(e)}))}return{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.datasetDownloadedSuccessfully.message,c),apiResponse:a}}catch(e){const s=e;if(this.log.error(s.toString()),s.toString().includes(constants_1.RseApiMessages.nonExistentMappingFile.message))throw e;return{success:!1,commandResponse:e.message,apiResponse:a}}}))}static ussFile(e,s,t){var i,o;return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Download.ussFile called."),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message);try{const n=yield List_1.List.fileList(e,s);if("FILE"!==(null===(i=n.apiResponse)||void 0===i?void 0:i.type))throw new zowe.imperative.ImperativeError({msg:"A directory was entered. Please enter a file name."});s=path_1.posix.normalize(s);const a=yield GetContent_1.GetContent.ussFile(e,s,t),r=t.file||path_1.posix.normalize(path_1.posix.basename(s));this.writeToFile(r,a);const l={success:!0,from:s,to:r};return{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.ussFileDownloadedSuccessfully.message,r),apiResponse:{result:l,etag:null===(o=null==a?void 0:a.apiResponse)||void 0===o?void 0:o.etag}}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static getDsDestination(e,s,t){return __awaiter(this,void 0,void 0,(function*(){if(s.file)return s.file;let i;return i=s.extension?s.extension:yield check_1.CheckMappings.getDlExtensionFromMappings(e.toUpperCase(),t),i||(i=ZosFilesUtils_1.ZosFilesUtils.DEFAULT_FILE_EXTENSION),ZosFilesUtils_1.ZosFilesUtils.getDirsFromDataSet(e)+zowe.imperative.IO.normalizeExtension(i)}))}static writeToFile(e,s,t){var i;if(zowe.imperative.IO.createDirsSyncFromFilePath(e),t&&s.apiResponse.length>0)return zowe.imperative.IO.writeFile(e,s.apiResponse);if(s.apiResponse.data.byteLength>0){s.apiResponse.data=Buffer.from(zowe.imperative.IO.processNewlines(s.apiResponse.data.toString()));const t=JSON.parse(s.apiResponse.data),o=null!==(i=null==t?void 0:t.records)&&void 0!==i?i:null==t?void 0:t.content;zowe.imperative.IO.writeFile(e,Buffer.from(o))}}static get log(){return zowe.imperative.Logger.getAppLogger()}}exports.Download=Download;