/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,n){void 0===n&&(n=s);var i=Object.getOwnPropertyDescriptor(t,s);i&&!("get"in i?!t.__esModule:i.writable||i.configurable)||(i={enumerable:!0,get:function(){return t[s]}}),Object.defineProperty(e,n,i)}:function(e,t,s,n){void 0===n&&(n=s),e[n]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,n){return new(s||(s=Promise))((function(i,o){function a(e){try{l(n.next(e))}catch(e){o(e)}}function r(e){try{l(n.throw(e))}catch(e){o(e)}}function l(e){var t;e.done?i(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(a,r)}l((n=n.apply(e,t||[])).next())}))},__importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.IssueCommand=void 0;const imperative_1=require("@zowe/imperative"),constants_1=require("../../constants"),rest_1=require("../../rest"),CoreUtils_1=require("../../utils/CoreUtils"),path=__importStar(require("path")),https_1=__importDefault(require("https"));class IssueCommand{static tsoCommand(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("IssueCommands.tsoCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),s&&(yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V108));try{let n=null;const i=t.toUpperCase();let o=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.TSO));o+=encodeURIComponent(i),this.log.debug(`Endpoint: ${o}`);const a=(0,CoreUtils_1.setHeaders)(e);let r;return s&&a.push({"shell-id":s}),r=yield rest_1.RseRestClient.putExpectJSON(e,o,a,null),void 0===r.output?(r=yield rest_1.RseRestClient.putExpectJSON(e,o,a,void 0),n=void 0===r.output?void 0:r.output.toString()):n=r.output.toString(),{success:!0,commandResponse:null,apiResponse:n}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static unixLongRunningCommand(e,t,s,n){this.log.trace("IssueCommands.unixLongRunningCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosFilesMessages.missingUSSDirectoryName.message);const i=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.SHELL_COMMAND)),{hostname:o,port:a,basePath:r,rejectUnauthorized:l}=e.ISession;this.log.debug(`unixLongRunningCommand is calling the following Endpoint: ${i}`);const c={hostname:o,port:a,rejectUnauthorized:l,path:encodeURI(`/${r}${i}?path=${s}&invocation=${t}`),method:"PUT",headers:Object.assign(Object.assign({},(0,CoreUtils_1.setRestCommandFullHeaders)(e)),{Connection:"keep-alive",accept:"text/plain"})};return https_1.default.request(c,n)}static unixCommand(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("IssueCommands.unixCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosFilesMessages.missingUSSDirectoryName.message);try{const n=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.UNIX)),i={invocation:t,path:s};this.log.debug(`Endpoint: ${n}`);const o=(0,CoreUtils_1.setHeaders)(e);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.postExpectJSON(e,n,o,i)}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static consoleCommand(e,t){return __awaiter(this,void 0,void 0,(function*(){imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message);const s=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.CONSOLE)),n={invocation:t},i=(0,CoreUtils_1.setHeaders)(e);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.postExpectJSON(e,s,i,n)}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.IssueCommand=IssueCommand;