/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t);var o=Object.getOwnPropertyDescriptor(s,t);o&&!("get"in o?!s.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return s[t]}}),Object.defineProperty(e,i,o)}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(s,e,t);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(o,a){function r(e){try{l(i.next(e))}catch(e){a(e)}}function n(e){try{l(i.throw(e))}catch(e){a(e)}}function l(e){var s;e.done?o(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,n)}l((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Upload=void 0;const zowe=__importStar(require("@zowe/cli")),fs=__importStar(require("fs")),path=__importStar(require("path")),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),rest_1=require("../../rest"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),Create_1=require("../create/Create"),ZosFilesUtils_1=require("../../utils/ZosFilesUtils"),list_1=require("../list"),CoreUtils_1=require("../../../api/utils/CoreUtils"),Utilities_1=require("../utilities/Utilities"),Tag_1=require("../utilities/doc/Tag"),api_1=require("../../../api"),check_1=require("../../../api/methods/check");class Upload{static fileToDataset(e,s,t,i,o={},a){return __awaiter(this,void 0,void 0,(function*(){let r;return this.log.trace("Upload.fileToDataset called."),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputFile.message),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),""===s?(this.log.info(`Creating member ${t.toUpperCase()}`),r=yield Create_1.Create.createMember(e,t,o)):(this.log.info(`Uploading file ${s} to ${t.toUpperCase()}`),yield(0,CoreUtils_1.readLocalFile)(s),r=yield this.pathToDataSet(e,s,t,i,o,a)),r}))}static dirToPds(e,s,t,i,o={},a){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Upload.dirToPds called."),this.log.info(`Uploading directory ${s} to ${t}`),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const r=new Promise(((e,t)=>{fs.lstat(s,((i,o)=>{null!=i||o.isFile()?null==i?(this.log.error(`${s}${ZosFiles_messages_1.ZosFilesMessages.pathIsNotDirectory.message}`),t(new zowe.imperative.ImperativeError({msg:`${s}${ZosFiles_messages_1.ZosFilesMessages.pathIsNotDirectory.message}`}))):(this.log.error(`${ZosFiles_messages_1.ZosFilesMessages.nodeJsFsError.message} ${i}`),t(new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.nodeJsFsError.message,additionalDetails:i.toString(),causeErrors:i}))):e(!0)}))}));if(yield r,!zowe.imperative.IO.isDir(s))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message});return yield this.pathToDataSet(e,s,t,i,o,a,!0)}))}static bufferToDataSet(e,s,t,i={}){return __awaiter(this,void 0,void 0,(function*(){zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);let o=[];o=(0,CoreUtils_1.setHeaders)(e);let a=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS));if(i.volume&&(a=path.posix.join(a,`-(${i.volume})`)),i.etag&&o.push({"If-Match":i.etag}),i.encoding&&o.push({hostEncoding:i.encoding.toString()}),i.binary){const i=Buffer.from(s,"utf-8");o.push({Accept:"application/json"}),o.push({"Content-Type":"application/octet-stream"}),a=path.posix.join(a,(0,CoreUtils_1.rsePathEncode)(t),ZosRestApi_constants_1.ZosRestApiConstants.RAWCONTENT);const r=yield rest_1.RseRestClient.putExpectString(e,a,o,i);return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.dataSetUploadedSuccessfully.message,apiResponse:r}}{const i={records:s};a=path.posix.join(a,(0,CoreUtils_1.rsePathEncode)(t),ZosRestApi_constants_1.ZosRestApiConstants.CONTENT);const r=yield rest_1.RseRestClient.putExpectStringAndEtag(e,a,o,i);return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.dataSetUploadedSuccessfully.message,apiResponse:r}}}))}static pathToDataSet(e,s,t,i,o={},a,r){var n;return __awaiter(this,void 0,void 0,(function*(){this.log.info(`Uploading path ${s} to ${t}`),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);let l="",p="",c="",g=!1;const m=[];if(ZosFilesUtils_1.ZosFilesUtils.isDataSetNameContainMasking(t))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.unsupportedMaskingInDataSetName.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.unsupportedMaskingInDataSetName.message});const d=ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s);if(t.endsWith(")")){if(zowe.imperative.IO.isDir(s))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToDatasetMember.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToDatasetMember.message});l=t.substr(t.indexOf("(")).replace(/[()]/g,""),t=t.substr(0,t.indexOf("("))}const u=yield this.isDataSetExist(e,t,{attributes:!0});u||!l&&!r||(yield Create_1.Create.dataSet(e,3,t,{})),u||l||1!==d.length||r||(yield Create_1.Create.dataSet(e,4,t,{}));const _=yield list_1.List.dataSet(e,t,{attributes:!0,maxLength:1,start:t});if(null!=_.apiResponse&&null!=_.apiResponse.items){const e=0===_.apiResponse.returnedRows?-1:_.apiResponse.items.findIndex((e=>e.name.toUpperCase()===t.toUpperCase()));if(-1!==e){switch(_.apiResponse.items[e].dataSetOrganization){case"PO":case"PO-E":g=!0;break;default:if(d.length>1)throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToPhysicalSequentialDataSet.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToPhysicalSequentialDataSet.message})}}}const h=o.encoding,f=o.binary;try{let s,r=0;for(const n of d){if(o.binary=f,o.encoding=h,p=n,c=t,g&&(c=0===l.length?`${c}(${ZosFilesUtils_1.ZosFilesUtils.generateMemberName(p)})`:`${c}(${l})`),c=c.toUpperCase(),o.binary)this.log.info("Used binary transfer from CLI binary tag."),o.encoding=void 0;else{let e;o.encoding&&(e=o.encoding.toString());const s=yield check_1.CheckMappings.encodingPrecedence(i.encoding,e,c,a);s&&"binary"===s?(o.binary=!0,o.encoding=void 0):(o.encoding=s,o.binary=void 0)}if(null!=o.task){const e=-15,s=p.slice(e);o.task.statusMessage="Uploading ..."+s,o.task.percentComplete=Math.floor(zowe.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(r/d.length)),r++}let u;if(void 0===s)try{u=yield(0,CoreUtils_1.readLocalFile)(p),0===u.length&&(u=" ");const s=yield this.bufferToDataSet(e,u,c,o);this.log.info(`Success Uploaded data From ${p} To ${c}`),m.push({success:s.success,from:p,to:c,etag:s.apiResponse.etag,encoding:o.encoding,binary:o.binary})}catch(e){if(e.toString().includes(api_1.RseApiMessages.nonExistentMappingFile.message))throw e;this.log.error(`Failure Uploading data From ${p} To ${c}`),m.push({success:!1,from:p,to:c,error:e}),s=e}else m.push({success:void 0,from:p,to:c})}if(s)throw this.log.error(s),s;return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.dataSetUploadedSuccessfully.message,apiResponse:m}}catch(e){if(this.log.error(e),e.toString().includes(api_1.RseApiMessages.nonExistentMappingFile.message))throw e;return{success:!1,commandResponse:null!==(n=null==e?void 0:e.message)&&void 0!==n?n:e,apiResponse:m}}}))}static fileToUSSFile(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Upload.fileToUSSFile called."),this.log.info(`Uploading from ${s} to ${t}`),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputFile.message),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message);try{const o={content:yield(0,CoreUtils_1.readLocalFile)(s)};let a,r=[];r=(0,CoreUtils_1.setHeaders)(e),i.encoding&&(a=i.encoding.toString().toUpperCase(),r.push({hostEncoding:a})),i.binary?r.push({convert:(!1).toString()}):r.push({convert:(!0).toString()});(yield this.isFileExist(e,t))||(yield Create_1.Create.uss(e,t,"file"));const n=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES,(0,CoreUtils_1.rsePathEncode)(t)));let l;i.returnEtag?(r.push({"If-Match":i.etag}),l=yield rest_1.RseRestClient.putExpectStringAndEtag(e,n,r,o)):yield rest_1.RseRestClient.putExpectJSON(e,n,r,o),a&&(yield this.tagUssFile(e,t,a));const p={success:!0,from:s,to:t,encoding:a,binary:i.binary,etag:null==l?void 0:l.etag};return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussFileUploadedSuccessfully.message,apiResponse:p}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static tagUssFile(e,s,t){return __awaiter(this,void 0,void 0,(function*(){if(t){let i=[];i=(0,CoreUtils_1.setHeaders)(e);const o=`${(0,CoreUtils_1.endpointBuilder)(e,`${ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE}${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}`)}${(0,CoreUtils_1.rsePathEncode)(s)}${ZosRestApi_constants_1.ZosRestApiConstants.MARK_ENCODING}`;yield rest_1.RseRestClient.putExpectJSON(e,o,i,{encoding:t})}}))}static dirToUSSDir(e,s,t,i={}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Upload.dirToUSSDir called."),this.log.info(`Uploading from ${s} to ${t}`),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),zowe.imperative.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),i.binary=null!=i.binary&&i.binary,i.recursive=null!=i.recursive&&i.recursive;const o=null==i.maxConcurrentRequests?1:i.maxConcurrentRequests;try{if(!zowe.imperative.IO.isDir(s))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message});(yield this.isDirectoryExist(e,t))||(yield Create_1.Create.uss(e,t,"directory"));const a=[];ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s,!1).forEach((e=>{let s=i.binary;i.filesMap&&i.filesMap.fileNames.indexOf(e)>-1&&(s=i.filesMap.binary),a.push({binary:s,fileName:e})}));let r=0;const n=o=>{null!=i.task&&(i.task.statusMessage="Uploading ..."+this.formatStringForDisplay(o.fileName),i.task.percentComplete=Math.floor(zowe.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(r/a.length)),r++);const n=path.normalize(path.join(s,o.fileName)),l=path.posix.join(t,o.fileName);return this.uploadFile(n,l,e,i)};0===o?yield Promise.all(a.map(n)):yield(0,CoreUtils_1.asyncPool)(o,a,n);const l={success:!0,from:s,to:t};return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussDirUploadedSuccessfully.message,apiResponse:l}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static isDataSetExist(e,s,t={}){return __awaiter(this,void 0,void 0,(function*(){const t=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS,(0,CoreUtils_1.rsePathEncode)(s))),i=(0,CoreUtils_1.setHeaders)(e);try{return""!==(yield rest_1.RseRestClient.getExpectJSON(e,t,i)).items.toString()}catch(e){if(e)return!0}}))}static isFileExist(e,s){return __awaiter(this,void 0,void 0,(function*(){let t=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}?${ZosRestApi_constants_1.ZosRestApiConstants.PATH}=`));t+=(0,CoreUtils_1.rsePathEncode)(s);const i=(0,CoreUtils_1.setHeaders)(e);try{return"FILE"===(yield rest_1.RseRestClient.getExpectJSON(e,t,i)).type}catch(e){if(e)return!1}}))}static isDirectoryExist(e,s){return __awaiter(this,void 0,void 0,(function*(){const t=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}?${ZosRestApi_constants_1.ZosRestApiConstants.PATH}=${(0,CoreUtils_1.rsePathEncode)(s)}`)),i=(0,CoreUtils_1.setHeaders)(e);try{return"DIRECTORY"===(yield rest_1.RseRestClient.getExpectJSON(e,t,i)).type}catch(e){if(e)return!1}}))}static dirToUSSDirRecursive(e,s,t,i={}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Upload.dirToUSSDirRecursive called."),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),zowe.imperative.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message),i.binary=null!=i.binary&&i.binary;const o=null==i.maxConcurrentRequests?1:i.maxConcurrentRequests,a=[];let r=[];if(!zowe.imperative.IO.isDir(s))throw this.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message});(yield this.isDirectoryExist(e,t))||(yield Create_1.Create.uss(e,t,"directory")),r=Upload.getDirs(s),i.attributes&&(r=r.filter((e=>i.attributes.fileShouldBeUploaded(e.fullPath))));if(ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s,!1).forEach((e=>{let s=i.binary;i.filesMap&&i.filesMap.fileNames.indexOf(e)>-1&&(s=i.filesMap.binary),a.push({binary:s,fileName:e})})),r.length>0){const s=s=>__awaiter(this,void 0,void 0,(function*(){const i=path.posix.join(t,s.dirName);if(!(yield this.isDirectoryExist(e,i)))return Create_1.Create.uss(e,i,"directory")}));0===o?yield Promise.all(r.map(s)):yield(0,CoreUtils_1.asyncPool)(o,r,s)}for(const s of r)yield this.dirToUSSDirRecursive(e,s.fullPath,path.posix.join(t,s.dirName),i);if(a.length>0){let r=0;const n=o=>{null!=i.task&&(i.task.statusMessage="Uploading ..."+this.formatStringForDisplay(o.fileName),i.task.percentComplete=Math.floor(zowe.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(r/a.length)),r++);const n=path.normalize(path.join(s,o.fileName)),l=path.posix.join(t,o.fileName);return this.uploadFile(n,l,e,i)};0===o?yield Promise.all(a.map(n)):yield(0,CoreUtils_1.asyncPool)(o,a,n)}const n={success:!0,from:s,to:t};return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussDirUploadedSuccessfully.message,apiResponse:n}}))}static uploadFile(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){i.attributes?yield this.uploadFileAndTagBasedOnAttributes(e,s,t,i.attributes):(i.filesMap&&i.filesMap.fileNames.indexOf(path.basename(e))>-1&&(i.binary=i.filesMap.binary),yield this.fileToUSSFile(t,e,s,i))}))}static uploadFileAndTagBasedOnAttributes(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){const o=i.getLocalEncoding(e);if(i.fileShouldBeUploaded(e)){const a=i.getFileTransferMode(e)===zowe.TransferMode.BINARY;a?yield this.fileToUSSFile(t,e,s,{binary:a}):yield this.fileToUSSFile(t,e,s,{binary:a,encoding:o});const r=i.getRemoteEncoding(e);r===Tag_1.Tag.BINARY.valueOf()?yield Utilities_1.Utilities.chtag(t,s,Tag_1.Tag.BINARY):yield Utilities_1.Utilities.chtag(t,s,Tag_1.Tag.TEXT,r)}}))}static hasDirs(e){return 0!==fs.readdirSync(e).filter((s=>zowe.imperative.IO.isDir(path.normalize(path.join(e,s))))).length}static getDirs(e){const s=[];if(Upload.hasDirs(e)){const t=fs.readdirSync(e).filter((s=>zowe.imperative.IO.isDir(path.normalize(path.join(e,s)))));for(let i=0;i<t.length;i++){const o=path.normalize(path.join(e,t[i]));s.push({dirName:t[i],fullPath:o})}}return s}static formatStringForDisplay(e){const s=e.split(path.sep).splice(-1,1).toString().slice(-15);return""===s?"all files":s}static get log(){return zowe.imperative.Logger.getAppLogger()}}exports.Upload=Upload;