/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2022. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,t,r){void 0===r&&(r=t);var o=Object.getOwnPropertyDescriptor(s,t);o&&!("get"in o?!s.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return s[t]}}),Object.defineProperty(e,r,o)}:function(e,s,t,r){void 0===r&&(r=t),e[r]=s[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(s,e,t);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,t,r){return new(t||(t=Promise))((function(o,n){function i(e){try{c(r.next(e))}catch(e){n(e)}}function a(e){try{c(r.throw(e))}catch(e){n(e)}}function c(e){var s;e.done?o(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(i,a)}c((r=r.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.getHttpsErrorMessage=exports.rsePathEncode=exports.endpointBuilder=exports.readLocalFile=exports.apiVersionCheck=exports.getUserHome=exports.setHeaders=exports.setRestCommandFullHeaders=exports.checkForJclSymbols=exports.checkForToken=exports.asyncPool=exports.sleep=void 0;const path=__importStar(require("path")),fs=__importStar(require("fs")),imperative=__importStar(require("@zowe/imperative")),constants_1=require("../constants"),methods_1=require("../methods");function sleep(e=1e3){return new Promise((s=>setTimeout(s,e)))}function asyncPool(e,s,t){let r=0;const o=[],n=[],i=()=>{if(r===s.length)return Promise.resolve();const a=s[r++],c=Promise.resolve().then((()=>t(a,s)));o.push(c);const p=c.then((()=>n.splice(n.indexOf(p),1)));n.push(p);let u=Promise.resolve();return n.length>=e&&(u=Promise.race(n)),u.then((()=>i()))};return i().then((()=>Promise.all(o)))}function checkForToken(e){if(e.ISession.tokenValue)return{Authorization:e.ISession.tokenValue}}function checkForJclSymbols(e){if(e.jclSymbols){let s="",t=!1;return e.jclSymbols.replace(/=/g,":").split(" ").forEach(((e,r,o)=>{e.includes("'")||t?e.includes("'")&&t?(s+=e+",",t=!1):(s+=e,t=!0):o.length-1===r?s+=e:s+=e+","})),{"JCL-Symbols":s}}}function setRestCommandFullHeaders(e){const{user:s,base64EncodedAuth:t,password:r}=e.ISession;if(s&&r)return{Authorization:"Basic "+t};const o=checkForToken(e);return o||void 0}function setHeaders(e,s){const t=[];if(s){const e=checkForJclSymbols(s);e&&t.push(e)}if(e.ISession.user&&e.ISession.password)return t;const r=checkForToken(e);return r?(t.push(r),t):t}function getUserHome(){return process.env["win32"==process.platform?"USERPROFILE":"HOME"]}function apiVersionCheck(e,s){return __awaiter(this,void 0,void 0,(function*(){const t=yield methods_1.CheckStatus.getRseStatus(e);if(JSON.stringify(t).includes("stdout"))throw imperative.Logger.getAppLogger().error(constants_1.ZosApiMessages.notSupported100.message),new imperative.ImperativeError({msg:constants_1.ZosApiMessages.notSupported100.message});const r=JSON.parse(JSON.stringify(t)),o=null==r?void 0:r.rseapi_version.split(/\./g);for(let e=0;e<o.length;e++){if(+o[e]>s[e])return;if(+o[e]<s[e])throw imperative.Logger.getAppLogger().error(`${constants_1.ZosApiMessages.notSupported.message} ${r.rseapi_version}`),new imperative.ImperativeError({msg:`${constants_1.ZosApiMessages.notSupported.message} ${r.rseapi_version}`})}}))}function readLocalFile(e){return __awaiter(this,void 0,void 0,(function*(){let s;const t=new Promise(((t,r)=>{fs.readFile(e,((e,o)=>{null==e&&o.length>=0?(t(!0),s=o.toString()):null==e?(imperative.Logger.getAppLogger().error(constants_1.ZosFilesMessages.missingInputFile.message),r(new imperative.ImperativeError({msg:constants_1.ZosFilesMessages.missingInputFile.message}))):(imperative.Logger.getAppLogger().error(`${constants_1.ZosFilesMessages.nodeJsFsError.message} ${e}`),r(new imperative.ImperativeError({msg:constants_1.ZosFilesMessages.nodeJsFsError.message,additionalDetails:e.toString(),causeErrors:e})))}))}));return yield t,s}))}function endpointBuilder(e,s){return e.ISession.basePath.includes(constants_1.ZosRestApiConstants.RESOURCE)?s.replace(constants_1.ZosRestApiConstants.RESOURCE,""):s}function rsePathEncode(e){if(!e)return e;const s=path.posix.normalize(e);let t="";return s.split("/").forEach((e=>e?t=`${t}/${encodeURIComponent(e)}`:t)),t}function getHttpsErrorMessage(e){switch(e){case 400:return constants_1.ZosApiMessages.httpStatus400.message;case 401:return constants_1.ZosApiMessages.httpStatus401.message;case 403:return constants_1.ZosApiMessages.httpStatus403.message;case 404:return constants_1.ZosApiMessages.httpStatus404.message;case 500:return constants_1.ZosApiMessages.httpStatus500.message;case 505:return constants_1.ZosApiMessages.httpStatus505.message;default:return}}exports.sleep=sleep,exports.asyncPool=asyncPool,exports.checkForToken=checkForToken,exports.checkForJclSymbols=checkForJclSymbols,exports.setRestCommandFullHeaders=setRestCommandFullHeaders,exports.setHeaders=setHeaders,exports.getUserHome=getUserHome,exports.apiVersionCheck=apiVersionCheck,exports.readLocalFile=readLocalFile,exports.endpointBuilder=endpointBuilder,exports.rsePathEncode=rsePathEncode,exports.getHttpsErrorMessage=getHttpsErrorMessage;